import 'package:flutter/material.dart';
import 'package:provider/provider.dart';

import 'package:wordguessing/provider/data.dart';

class Home extends StatelessWidget {
  const Home({super.key});

  static const String id = 'home';

  @override
  Widget build(BuildContext context) {
    final Data myProvider = Provider.of<Data>(context);

    Container buildMenuItemContainer(String code, Color color) {
      const double imageSize = 150;

      final String imageAsset = 'assets/menu/$code.png';

      return Container(
        margin: const EdgeInsets.all(2),
        decoration: BoxDecoration(
          borderRadius: BorderRadius.circular(8),
          border: Border.all(
            color: color,
            width: 12,
          ),
        ),
        child: GestureDetector(
          child: Image(
            image: AssetImage(imageAsset),
            width: imageSize,
            height: imageSize,
            fit: BoxFit.fill,
          ),
          onTap: () {
            myProvider.resetGame();
            Navigator.pushNamed(
              context,
              '/$code',
            );
          },
        ),
      );
    }

    return Scaffold(
      backgroundColor: Colors.blue,
      body: Center(
        child: Column(
          mainAxisAlignment: MainAxisAlignment.spaceEvenly,
          crossAxisAlignment: CrossAxisAlignment.center,
          mainAxisSize: MainAxisSize.max,
          children: <Widget>[
            buildMenuItemContainer('game-pick-word', Colors.pink),
            buildMenuItemContainer('game-pick-image', Colors.yellow),
          ],
        ),
      ),
    );
  }
}
